[**@rxap/components v19.1.0-dev.1**](../README.md)

***

[@rxap/components](../globals.md) / ConfirmDirective

# Class: ConfirmDirective\<T\>

Defined in: [confirm/confirm.directive.ts:28](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/confirm/confirm.directive.ts#L28)

## Type Parameters

• **T** = `any`

## Implements

- `OnDestroy`

## Constructors

### new ConfirmDirective()

> **new ConfirmDirective**\<`T`\>(`overlay`, `elementRef`): [`ConfirmDirective`](ConfirmDirective.md)\<`T`\>

Defined in: [confirm/confirm.directive.ts:54](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/confirm/confirm.directive.ts#L54)

#### Parameters

##### overlay

`Overlay`

##### elementRef

`ElementRef`

#### Returns

[`ConfirmDirective`](ConfirmDirective.md)\<`T`\>

## Properties

### confirmed

> **confirmed**: `EventEmitter`\<`undefined` \| `T`\>

Defined in: [confirm/confirm.directive.ts:39](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/confirm/confirm.directive.ts#L39)

***

### elementRef

> `protected` `readonly` **elementRef**: `ElementRef`

Defined in: [confirm/confirm.directive.ts:58](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/confirm/confirm.directive.ts#L58)

***

### isOverlyOpen

> `protected` **isOverlyOpen**: `boolean` = `false`

Defined in: [confirm/confirm.directive.ts:52](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/confirm/confirm.directive.ts#L52)

***

### overlay

> `protected` `readonly` **overlay**: `Overlay`

Defined in: [confirm/confirm.directive.ts:56](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/confirm/confirm.directive.ts#L56)

***

### positionStrategy?

> `protected` `optional` **positionStrategy**: `PositionStrategy`

Defined in: [confirm/confirm.directive.ts:50](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/confirm/confirm.directive.ts#L50)

***

### unconfirmed

> **unconfirmed**: `EventEmitter`\<`undefined` \| `T`\>

Defined in: [confirm/confirm.directive.ts:42](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/confirm/confirm.directive.ts#L42)

## Accessors

### eventValue

#### Set Signature

> **set** **eventValue**(`value`): `void`

Defined in: [confirm/confirm.directive.ts:32](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/confirm/confirm.directive.ts#L32)

##### Parameters

###### value

`""` | `T`

##### Returns

`void`

## Methods

### ngOnDestroy()

> **ngOnDestroy**(): `void`

Defined in: [confirm/confirm.directive.ts:79](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/confirm/confirm.directive.ts#L79)

A callback method that performs custom clean-up, invoked immediately
before a directive, pipe, or service instance is destroyed.

#### Returns

`void`

#### Implementation of

`OnDestroy.ngOnDestroy`

***

### onClick()

> **onClick**(`$event`?): `void`

Defined in: [confirm/confirm.directive.ts:75](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/confirm/confirm.directive.ts#L75)

#### Parameters

##### $event?

`Event`

#### Returns

`void`

***

### onConfirmed()

> `protected` **onConfirmed**(`eventValue`?): `void`

Defined in: [confirm/confirm.directive.ts:138](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/confirm/confirm.directive.ts#L138)

#### Parameters

##### eventValue?

`T`

#### Returns

`void`

***

### onUnconfirmed()

> `protected` **onUnconfirmed**(`eventValue`?): `void`

Defined in: [confirm/confirm.directive.ts:142](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/confirm/confirm.directive.ts#L142)

#### Parameters

##### eventValue?

`T`

#### Returns

`void`

***

### openConfirmOverly()

> `protected` **openConfirmOverly**(): `void`

Defined in: [confirm/confirm.directive.ts:84](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/confirm/confirm.directive.ts#L84)

#### Returns

`void`
